if not exist "%CATALINA_BASE%\..\config\setenvoverride.bat" goto checkSetenvoverrideHome
call "%CATALINA_BASE%\..\config\setenvoverride.bat"
goto setenvoverrideDone
:checkSetenvoverrideHome
if exist "%CATALINA_HOME%\..\config\setenvoverride.bat" call "%CATALINA_HOME%\..\config\setenvoverride.bat"
:setenvoverrideDone

@rem if no initial memory size, set to default
if not defined FD_INITIAL_MEMORY_SIZE (
    set FD_INITIAL_MEMORY_SIZE=512m
)

@rem if no max memory size, set to default
if not defined FD_MAX_MEMORY_SIZE (
    set FD_MAX_MEMORY_SIZE=2048m
)

set "CLASSPATH=%CLASSPATH%;%CATALINA_HOME%\bin\FDLogFormatter.jar"

rem *************************************
rem if your Java install isn't found, set JAVA_HOME in setenvoverride.bat
rem *************************************

if "%JAVA_HOME%" == "" goto FindJREInRegistry
goto JavaHomeIsSet

:FindJREInRegistry
@echo JAVA_HOME is not set, looking for Java Runtime Environment in Registry.

setlocal ENABLEEXTENSIONS
FOR /F "usebackq skip=2 tokens=3" %%A IN (`REG QUERY "HKLM\SOFTWARE\JavaSoft\Java Runtime Environment" /v CurrentVersion 2^>nul`) DO (
    set JREValue=%%A
)

if "%JREValue%" == "" goto FindJDKInRegistry

@echo CurrentVersion for Java Runtime Environment is %JREValue%
if %JREValue% LSS 1.7  (
    @echo The Java Runtime Environment found in your registry is version 6 or older. Unable to use this version.
) else (
    @echo The Java Runtime Environment found in your registry looks good.
    FOR /F "usebackq skip=2 tokens=3" %%A IN (`REG QUERY "HKLM\SOFTWARE\JavaSoft\Java Runtime Environment\%JREValue%" /v JavaHome 2^>nul`) DO (
        endlocal
        set "DERIVED_JAVA_HOME=%%A"
    )
    goto JavaHomeIsDerived
)

if NOT "%DERIVED_JAVA_HOME%" == "" goto JavaHomeIsDerived

:FindJDKInRegistry
@echo JAVA_HOME is not set, looking for Java Development Kit in Registry.

FOR /F "usebackq skip=2 tokens=3" %%A IN (`REG QUERY "HKLM\SOFTWARE\JavaSoft\Java Development Kit" /v CurrentVersion 2^>nul`) DO (
    set JDKValue=%%A
)

if "%JDKValue%" == "" goto JavaNotFoundInRegistry

@echo CurrentVersion for Java Development Kit is %JDKValue%
if %JDKValue% LSS 1.7  (
    @echo The Java Development Kit found in your registry is version 6 or older. Unable to use this version.
) else (
    @echo The Java Development Kit found in your registry looks good.
    FOR /F "usebackq skip=2 tokens=3" %%A IN (`REG QUERY "HKLM\SOFTWARE\JavaSoft\Java Development Kit\%JDKValue%" /v JavaHome 2^>nul`) DO (
        endlocal
        set "DERIVED_JAVA_HOME=%%A"
    )
    goto JavaHomeIsDerived
)

:JavaNotFoundInRegistry
@echo Java was not found in your registry. Set JAVA_HOME variable in file, "%~dp0setenv.bat"
exit /b 1


:JavaHomeIsDerived
set JAVA_HOME=%DERIVED_JAVA_HOME%

:JavaHomeIsSet
@echo Inside setenv.bat file JAVA_HOME is set to "%JAVA_HOME%"
@echo.

set CATALINA_OPTS=%CATALINA_OPTS% -Dcom.flexagon.is.https.agent=true -verbose:gc -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xms%FD_INITIAL_MEMORY_SIZE% -Xmx%FD_MAX_MEMORY_SIZE% -Xloggc:%CATALINA_BASE%/logs/gc.log -XX:+UseGCLogFileRotation -XX:NumberOfGCLogFiles=5 -XX:GCLogFileSize=2M -Doracle.mds.cache=simple %FLEXAGON_FD_JAVA_ARGS%